Description

Heatmaps would be far more convenient (easier to interpret in many contexts) if they could (optionally) be expressed in % rather than in

absolute values (in inverse values, so one could create isolines including, say, 95% probability). The change seems trivial:

    -  calculate the maximum

    -  dividing the raster values by that

    -  adding an option to choose between absolute values and %

Also a note on the help on how to interpret cell values would make life easier for newbies.

History

#1 - 2013-11-26 01:38 PM - Nyall Dawson

It's actually not quite that simple - the maximum value is not known until the entire heatmap is generated, it can't be calculated in advance.

The actual process would be:

1. Generate the heatmap

2. Scan for the max and min values within the heatmap (The minimum value would also need to be considered, since points could potentially have a

negative weighting set resulting in raster values < 0)

3. Update the cell values with a value relative to the max/min values

I'm wondering if it would be better/more flexible for this to be done via a step in a processing script. Problem is that heatmaps can't be generated via scripts

at the moment - this would require moving the heatmap code from a c++ plugin to core (something which should be done at some time in any case). This is

on my (distant) radar, alongside adding additional hotspot types such as Getis Ord Gi*. I'm hoping to get funding or some time of sponsorship to tackle

this.

#2 - 2013-11-26 04:35 PM - Jürgen Fischer

- Subject changed from Heathmap in percentage to Heatmap in percentage

#3 - 2013-11-27 02:02 AM - Matthias Kuhn

Alternative for moving to core:

We could add the possibility to expose a python API from C++ plugins as well. I could provide some code I have written for globe which does exactly this.

#4 - 2014-06-29 11:27 AM - Jürgen Fischer

- Category changed from C++ Plugins to 114

#5 - 2017-01-02 01:09 AM - Giovanni Manghi

- Category changed from 114 to Analysis library
#6 - 2017-01-02 01:27 AM - Giovanni Manghi

- Target version set to Version 3.0

#7 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2018-02-24 01:59 PM - Paolo Cavallini

- Description updated

Still true in QGIS 3

#9 - 2018-02-24 09:39 PM - Nyall Dawson

- Status changed from Open to Feedback

I think this should be closed, and replaced with a feature request for a processing algorithm which scales raster values to percent of max.

Heatmaps are part of processing now, so only the scaling algorithm is missing from this request.

#10 - 2018-02-25 12:26 PM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Feedback to Rejected

Fully agreed.
